=== UG8.4/cn/Makefile ===
lang=cn

include ../../UG-build-adoc.mk
include ../../UG-build.mk
