=== UG8.4/en/Makefile ===
lang=en

include ../../UG-build-adoc.mk
include ../../UG-build.mk
