=== UG8.4/ja/Makefile ===
lang=ja
ASCIIDOCTOR_ADD_OPTIONS=-r asciidoctor-pdf-cjk
FONTDIR=../../genshingothic-fonts

include ../../UG-build-po.mk
include ../../UG-build.mk
