=== UG9/cn/Makefile ===
lang=cn
ASCIIDOCTOR_ADD_OPTIONS=-r asciidoctor-pdf-cjk -r asciidoctor-pdf-cjk-kai_gen_gothic -a pdf-style=KaiGenGothicCN -a pdf-style=default-theme.yml --trace

include ../../UG-build-po.mk
include ../../UG-build.mk
