## drbd-doc 8.4~20140825

=== debian/changelog ===
drbd-doc (8.4~20140825-1) unstable; urgency=medium

  * Import upstream changes, up to commit ac7bd5612ec2 (25/08/2014)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 18 Sep 2014 10:13:29 +0300

drbd-doc (8.4~20130416-1) unstable; urgency=low

  * Initial release (Closes: #531018, #753880)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 05 Jul 2014 03:04:16 +0300
