=== debian/control ===
Source: drbd-doc
Section: doc
Priority: extra
Maintainer: Debian DRBD Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 9), automake, asciidoc, fop,
 libgtkmathview-bin, inkscape, xsltproc, docbook-xsl,
 dh-autoreconf, docbook-xml
Standards-Version: 3.9.5
Homepage: http://www.drbd.org
Vcs-Git: git://anonscm.debian.org/debian-ha/drbd-doc/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-ha/drbd-doc.git

Package: drbd-doc
Architecture: all
Depends: ${misc:Depends}
Description: RAID 1 over TCP/IP for Linux (user documentation)
 Drbd is a block device which is designed to build high availability
 clusters by providing a virtual shared device which keeps disks in
 nodes synchronised using TCP/IP. This simulates RAID 1 but avoiding
 the use of uncommon hardware (shared SCSI buses or Fibre Channel).
 It is currently limited to fail-over HA clusters.
 .
 This package contains the DRBD User's Guide in HTML and PDF format.
