## drbd-doc 8.4~20151102

=== debian/changelog ===
drbd-doc (8.4~20151102-1) unstable; urgency=medium

  * Import upstream changes up to commit 0d6393f.
  * B-D on default-jre to fix FTBFS with OpenJDK 8.
  * Bump standards to 3.9.7; no changes needed.
  * d/control: use HTTPS in Vcs-* fields.
  * d/copyright: bump debian/ copyright years.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 15 Mar 2016 19:56:49 +0200
