=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper (>= 9), automake, asciidoc, fop,
  libgtkmathview-bin, inkscape, xsltproc, docbook-xsl,
- dh-autoreconf, docbook-xml
-Standards-Version: 3.9.5
+ dh-autoreconf, docbook-xml, default-jre
+Standards-Version: 3.9.7
 Homepage: http://www.drbd.org
-Vcs-Git: git://anonscm.debian.org/debian-ha/drbd-doc/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-ha/drbd-doc.git
+Vcs-Git: https://anonscm.debian.org/git/debian-ha/drbd-doc.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-ha/drbd-doc.git
 
 Package: drbd-doc
 Architecture: all
