## drbd-doc 8.4~20220106

=== debian/changelog ===
drbd-doc (8.4~20220106-1) unstable; urgency=medium

  * Switch Vcs-* URLs to salsa.d.o
  * Switch to new upstream documentation from
    https://github.com/LINBIT/linbit-documentation
    - Remove makedoc
    - Drop all patches
    - Remove obsolete d/README.packaging
    + Adjust build-dependencies.
      The new documentation system requires only asciidoctor(-pdf) and
      inkscape. (Closes: #993661)
    + d/rules: adjust to the new build system
    + Adjust Source and Upstream-Name in d/copyright
    + dh_install: pick the right artifacts for installation
  * Bump DH compat to 13; no changes needed
  * d/copyright: adjust years, drop makedoc reference
  * Bump Standards-Version to 4.6.0.
    + Replace Priority: extra with optional
  * d/copyright: remove tabs
  * Strip remote fonts from the HTML stylesheet

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 31 Jan 2022 13:09:06 +0200
