=== debian/control ===
Source: drbd-doc
Section: doc
Priority: optional
Maintainer: Debian DRBD Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper-compat (= 13), dh-exec,
 asciidoctor, ruby-asciidoctor-pdf, inkscape, zip
Standards-Version: 4.6.0
Homepage: http://www.drbd.org
Vcs-Git: https://salsa.debian.org/ha-team/drbd-doc.git
Vcs-Browser: https://salsa.debian.org/ha-team/drbd-doc

Package: drbd-doc
Architecture: all
Depends: ${misc:Depends}, fonts-font-awesome
Description: RAID 1 over TCP/IP for Linux (user documentation)
 Drbd is a block device which is designed to build high availability
 clusters by providing a virtual shared device which keeps disks in
 nodes synchronised using TCP/IP. This simulates RAID 1 but avoiding
 the use of uncommon hardware (shared SCSI buses or Fibre Channel).
 It is currently limited to fail-over HA clusters.
 .
 This package contains the DRBD User's Guide in HTML and PDF format.
