=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

UG_HTML = "UG8.4/en/output-html/drbd-users-guide-without-css.html"

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C UG8.4 html-finalize pdf
	sed -i -e '\#<link rel="stylesheet" href="https://fonts.googleapis.com.*#d' $(UG_HTML)
	sed -i -e 's#href="http.*font-awesome\.min\.css#href="file:///usr/share/fonts-font-awesome/css/font-awesome.min.css"#' $(UG_HTML)

override_dh_auto_clean:
	$(MAKE) -C UG8.4 clean

.PHONY: override_dh_auto_build override_dh_auto_clean
